at.chipkarte.client.abs.soap

## Class FolgeverordnungsAusstellungsErgebnis

- Object
- - at.chipkarte.client.abs.soap.FolgeverordnungsAusstellungsErgebnis

-     public class FolgeverordnungsAusstellungsErgebnis
      extends Object

  Enthält die Bestätigung einer ausgestellten `Folgeverordnung`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolgeverordnungsAusstellungsErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getBewilligteAbgabemenge()` Bewilligte Abgabemenge (Packungsanzahl) des verschriebenen Medikaments.
    `String` | `getDruckNachnamePatient()` Drucknachname des Patienten.
    `String` | `getDruckVornamePatient()` Druckvorname des Patienten.
    `String` | `getFotoInformation()` Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
    `String` | `getMedikamentName()` Eindeutiger Name des Medikaments.
    `String` | `getNachnamePatient()` Nachname des Patienten.
    `String` | `getPharmanummer()` Pharmanummer des Medikaments.
    `String` | `getReferenzNr()` Referenznummer der Folgeverordnung.
    `String` | `getSVNRPatient()` Sozialversicherungsnummer des Patienten.
    `String` | `getSVTCode()` Eindeutiger Code des leistungszuständigen Krankenversicherungsträgers.
    `String` | `getVornamePatient()` Vorname des Patienten.
    `Boolean` | `isRezeptGebBefreit()` Kennzeichen, ob der Patient von der Rezeptgebühr befreit ist.
    `void` | `setBewilligteAbgabemenge(Integer bewilligteAbgabemenge)`
    `void` | `setDruckNachnamePatient(String druckNachnamePatient)`
    `void` | `setDruckVornamePatient(String druckVornamePatient)`
    `void` | `setFotoInformation(String fotoInformation)`
    `void` | `setMedikamentName(String medikamentName)`
    `void` | `setNachnamePatient(String nachnamePatient)`
    `void` | `setPharmanummer(String pharmanummer)`
    `void` | `setReferenzNr(String referenzNr)`
    `void` | `setRezeptGebBefreit(Boolean rezeptGebBefreit)`
    `void` | `setSVNRPatient(String patient)`
    `void` | `setSVTCode(String code)`
    `void` | `setVornamePatient(String vornamePatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolgeverordnungsAusstellungsErgebnis

          public FolgeverordnungsAusstellungsErgebnis()

  - ### Method Detail

    - #### getBewilligteAbgabemenge

          public Integer getBewilligteAbgabemenge()

      Bewilligte Abgabemenge (Packungsanzahl) des verschriebenen Medikaments.
      Format: [1..99]
      Returns:
        Bewilligte Abgabemenge

    - #### getMedikamentName

          public String getMedikamentName()

      Eindeutiger Name des Medikaments.
      Format: maximal 100-stellig
      Returns:
        Medikamentenname

    - #### getNachnamePatient

          public String getNachnamePatient()

      Nachname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Nachname des Patienten

    - #### getDruckNachnamePatient

          public String getDruckNachnamePatient()

      Drucknachname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Nachname des Patienten

    - #### getPharmanummer

          public String getPharmanummer()

      Pharmanummer des Medikaments.
      Format: maximal 9-stellig, numerisch
      Die Pharmanummer muss den Regeln für Pharmanummern (Prüfziffer) entsprechen.
      Die Angabe der Pharmanummer ist optional. Wird sie nicht angegeben, muss jedoch der `Medikamentname` angegeben werden.
      Returns:
        Pharmanummer

    - #### getReferenzNr

          public String getReferenzNr()

      Referenznummer der Folgeverordnung.
      Format: maximal 38-stellig
      Returns:
        Referenznummer

    - #### getSVNRPatient

          public String getSVNRPatient()

      Sozialversicherungsnummer des Patienten.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer

    - #### getSVTCode

          public String getSVTCode()

      Eindeutiger Code des leistungszuständigen Krankenversicherungsträgers.
      Mögliche Werte siehe `getSVTs`.
      Format: 2-stellig
      Returns:
        Code des leistungszuständigen Sozialversicherungsträgers

    - #### getVornamePatient

          public String getVornamePatient()

      Vorname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Vorname des Patienten

    - #### getDruckVornamePatient

          public String getDruckVornamePatient()

      Druckvorname des Patienten.
      Format: maximal 70-stellig
      Returns:
        Vorname des Patienten

    - #### isRezeptGebBefreit

          public Boolean isRezeptGebBefreit()

      Kennzeichen, ob der Patient von der Rezeptgebühr befreit ist.
      Returns:
        True, wenn der Patient von der Rezeptgebühr befreit ist.

    - #### getFotoInformation

          public String getFotoInformation()

      Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
      Format: maximal 160 stellig
      Returns:
        Foto-Information

    - #### setBewilligteAbgabemenge

          public void setBewilligteAbgabemenge(Integer bewilligteAbgabemenge)

    - #### setMedikamentName

          public void setMedikamentName(String medikamentName)

    - #### setNachnamePatient

          public void setNachnamePatient(String nachnamePatient)

    - #### setDruckNachnamePatient

          public void setDruckNachnamePatient(String druckNachnamePatient)

    - #### setPharmanummer

          public void setPharmanummer(String pharmanummer)

    - #### setReferenzNr

          public void setReferenzNr(String referenzNr)

    - #### setSVNRPatient

          public void setSVNRPatient(String patient)

    - #### setSVTCode

          public void setSVTCode(String code)

    - #### setVornamePatient

          public void setVornamePatient(String vornamePatient)

    - #### setDruckVornamePatient

          public void setDruckVornamePatient(String druckVornamePatient)

    - #### setRezeptGebBefreit

          public void setRezeptGebBefreit(Boolean rezeptGebBefreit)

    - #### setFotoInformation

          public void setFotoInformation(String fotoInformation)